Commits

stretchedthin committed 19ef096

tilda

Comments (0)

Files changed (4)

var/vabs/tilda/src/doinst.sh

+
+if [ -x usr/bin/update-desktop-database ]; then
+  usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+

var/vabs/tilda/src/patches/glib-single-include.patch

+Index: tilda-0.9.6/src/tomboykeybinder.h
+===================================================================
+--- tilda-0.9.6.orig/src/tomboykeybinder.h
++++ tilda-0.9.6/src/tomboykeybinder.h
+@@ -2,7 +2,7 @@
+ #ifndef __TOMBOY_KEY_BINDER_H__
+ #define __TOMBOY_KEY_BINDER_H__
+ 
+-#include <glib/gtypes.h>
++#include <glib.h>
+ 
+ G_BEGIN_DECLS
+ 

var/vabs/tilda/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+     |-----handy-ruler------------------------------------------------------|
+tilda: tilda (an FPS-style terminal)
+tilda: 
+tilda: Tilda is a Linux terminal taking after the likeness of many classic
+tilda: terminals from first person shooter games, Quake, Doom and Half-Life
+tilda: (to name a few), where the terminal has no border and is hidden from
+tilda: the desktop until a key is pressed.
+tilda:
+tilda: http://tilda.sourceforge.net/
+tilda:
+tilda:
+tilda:

var/vabs/tilda/src/tilda.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
+##Thanks to the people at http://slackbuilds.org for the references drawn from thier SlackBuild.
 
 NAME="tilda"            #Enter package Name!
 VERSION=${VERSION:-"0.9.6"}      #Enter package Version!
-VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VER=$(echo ${VERSION}|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK=${LINK:-"http://downloads.sourceforge.net/tilda/tilda-0.9.6.tar.gz"}  #Enter URL for package here!
+LINK=${LINK:-"http://downloads.sourceforge.net/${NAME}/${NAME}-${VERSION}.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-"libglade vte confuse"}
-
+MAKEDEPENDS=${MAKEDEPENDS:-"libglade vte confuse"} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 cd $CWD
 mkdir -p $RELEASEDIR/tmp
 TMP=$RELEASEDIR/tmp
-PKG=$TMP/package-$NAME
+PKG=$TMP/package-${NAME}
 #--------------------------------------------
 
 
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 for SRC in $(echo $LINK);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
-        wget -c $SRC
+        wget --no-check-certificate -c $SRC
 fi
 done
 #--------------------------------------------
 
 
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
-rm -rf $NAME-$VERSION
+rm -rf ${NAME}-${VERSION}
 
 
 #EXTRACT SOURCES
 #-----------------------------------------------------
 echo "Extracting source..."
-tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+tar xvf $CWD/${NAME}-${VERSION}.tar.gz
+#this moves whatever was extracted to the std dirname we are expecting
+mv * ${NAME}-${VERSION} &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
-cd $TMP/$NAME-$VERSION
+cd $TMP/${NAME}-${VERSION}
 
-# Put any Patches into a patches folder in the src dir
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
 #-----------------------------------------------------
 for i in $CWD/patches/*;do
-	patch -p0 <$i
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/${NAME}-${VERSION}/patches/
+  cp $i $PKG/usr/doc/${NAME}-${VERSION}/patches/
 done
 #-----------------------------------------------------
-
+ 
+ 
 
 #SET PERMISSIONS
 #-----------------------------------------
 
 make || exit 1
 
-make install DESTDIR=$PKG || exit
+make install DESTDIR=$PKG || exit 1
 
 
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
-
-# Menu entry - http://standards.freedesktop.org/desktop-entry-spec/latest/
-
 if test -f $CWD/$NAME.png; then
-  mkdir -p $PKG/usr/share/pixmaps
-  cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png
-fi
-
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png; fi
+## Now test for desktop file
 mkdir -p $PKG/usr/share/applications
 if test -f $CWD/${NAME}.desktop; then
-  cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
-else
-cat > $PKG/usr/share/applications/$NAME.desktop << EOF
-[Desktop Entry]
-# Please edit as needed
-Name=Tilda
-GenericName=
-Comment=
-Exec=$NAME
-Icon=/usr/share/pixmaps/$NAME.png
-
-# AudioVideo, Development, Education, Game, Graphics, Network
-# Office, Settings, System, Utility
-Categories=GNOME;GTK;Application;Utility;TerminalEmulator;
-		
-Type=Application
-Terminal=false
-Encoding=UTF-8
-
-#TryExec=
-#Path=
-#StartupWMClass=
-#NoDisplay=
-#StartupNotify=
-#MimeType=
-#OnlyShowIn=
-#NotShowIn=
-
-#Localization example
-#Name[es]=
-#Comment[es]=
-EOF
+cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
 fi
 
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
-LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
-$PKG/usr/doc/$NAME-$VERSION
-cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+
+mkdir -p $PKG/usr/doc/${NAME}-${VERSION}
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
+$PKG/usr/doc/${NAME}-${VERSION}
+cat $CWD/${NAME}.SlackBuild > $PKG/usr/doc/${NAME}-${VERSION}/${NAME}.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
+if [ -d $PKG/usr/share/man ];then
 mkdir -p $PKG/usr/man
 mv $PKG/usr/share/man/* $PKG/usr/man
 rm -rf $PKG/usr/share/man
 fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
-if [ -d $PKG/usr/share/info ] ; then
+if [ -d $PKG/usr/share/info ];then
 mkdir -p $PKG/usr/info
 mv $PKG/usr/share/info/* $PKG/usr/info
 rm -rf $PKG/usr/share/info
 fi 
-
 find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
+if [ -d $PKG/usr/info ];then
 cat >> $PKG/install/doinst.sh << EOF
 CWD=\$(pwd)
 cd usr/info
     rm dir.gz
 fi
 for i in *.info.gz;do
-        install-info \$i dir
+    install-info \$i dir
 done
 cd \$CWD
 EOF
 fi
 
-mkdir -p $PKG/install
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+cat $CWD/doinst.sh >> $PKG/install/doinst.sh
 
 
 #if there is a slack-desc in src dir use it
 else
 # This creates the white space in front of "handy-ruler" in slack-desc below.
 
-LENGTH=$(expr length "$NAME")
+LENGTH=$(expr length "${NAME}")
 SPACES=0
 SHIM=""
 until [ "$SPACES" = "$LENGTH" ]; do
 
 # Fill in the package summary between the () below.
 # Then package the description, License, Author and Website.
-# There may be no more then 11 $NAME: lines in a valid slack-desc.
+# There may be no more then 11 ${NAME}: lines in a valid slack-desc.
 
 cat > $RELEASEDIR/slack-desc << EOF
 # HOW TO EDIT THIS FILE:
 # customary to leave one space after the ':'.
 
 $SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (Quake style terminal)
-$NAME:
-$NAME: Tilda is a Linux terminal taking after the likeness of many classic
-$NAME: terminals from first person shooter games, Quake, Doom and Half-Life
-$NAME: (to name a few), where the terminal has no border and is hidden from
-$NAME: the desktop until a key is pressed.
-$NAME:
-$NAME: License: GPLv2
-$NAME: Authors: Tristan Sloughter, Ira Snyder, Ken Dreyer
-$NAME: Website: http://sourceforge.net/projects/tilda/
+${NAME}: ${NAME} ()
+${NAME}:
+${NAME}: 
+${NAME}: 
+${NAME}: 
+${NAME}: 
+${NAME}:
+${NAME}:
+${NAME}: License: GPL
+${NAME}: Authors: 
+${NAME}: Website: 
 
 EOF
 fi
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 #--------------------------------------------------------------
 echo "Finding dependencies..."
 ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
-echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+echo "Creating package ${NAME}-${VERSION}-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/${NAME}-${VERSION}-$ARCH-$BUILD.txz
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##